> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List survey versions

> The published versions of a survey, newest first: `[{ version, createdAt, createdBy }]`.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /engagement/surveys/{surveyId}/versions
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /engagement/surveys/{surveyId}/versions:
    get:
      tags:
        - Engagement Survey
      summary: List survey versions
      description: >-
        The published versions of a survey, newest first: `[{ version,
        createdAt, createdBy }]`.
      operationId: Versions
      parameters:
        - in: path
          name: surveyId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.